---
id: 42-school
title: 42 School
---

:::note
42 returns a field on `Account` called `created_at` which is a number. See the [docs](https://api.intra.42.fr/apidoc/guides/getting_started#make-basic-requests). Make sure to add this field to your database schema, in case if you are using an [Adapter](https://next-auth.js.org/adapters).
:::

## Documentation

https://api.intra.42.fr/apidoc/guides/web_application_flow

## Configuration

https://profile.intra.42.fr/oauth/applications/new

## Options

The **42 School Provider** comes with a set of default options:

- [42 School Provider options](https://github.com/nextauthjs/next-auth/blob/v4/packages/next-auth/src/providers/42-school.ts)

You can override any of the options to suit your own use case.

## Example

```js
import FortyTwoProvider from "next-auth/providers/42-school";
...
providers: [
  FortyTwoProvider({
    clientId: process.env.FORTY_TWO_CLIENT_ID,
    clientSecret: process.env.FORTY_TWO_CLIENT_SECRET
  })
]
...
```
